gig::leverage_ctrl_t Struct Reference

Defines a controller that has a certain contrained influence on a particular synthesis parameter (used to define attenuation controller, EG1 controller and EG2 controller). More...

`#include <gig.h>`

## Public Types

enum | type_t { type_none = 0x00 , type_channelaftertouch = 0x2f , type_velocity = 0xff , type_controlchange = 0xfe }
| Defines possible controllers. More...

## Public Member Functions

void | serialize (Serialization::Archive *archive)

## Public Attributes

type_t | type
| Controller type.
uint | controller_number
| MIDI controller number if this controller is a control change controller, 0 otherwise.

## Detailed Description

Defines a controller that has a certain contrained influence on a particular synthesis parameter (used to define attenuation controller, EG1 controller and EG2 controller).

You should use the respective typedef (means either attenuation_ctrl_t, eg1_ctrl_t or eg2_ctrl_t) in your code!

Definition at line 260 of file gig.h.

## Member Enumeration Documentation

## type_t

enum gig::leverage_ctrl_t::type_t

Defines possible controllers.

See also
  enumCount(), enumKey(), enumKeys(), enumValue()

Enumerator
type_none | No controller defined.
type_channelaftertouch | Channel Key Pressure.
type_velocity | Key Velocity.
type_controlchange | Ordinary MIDI control change controller, see field 'controller_number'.

Definition at line 270 of file gig.h.

## Member Function Documentation

## serialize()

void gig::leverage_ctrl_t::serialize | ( | Serialization::Archive * | archive | ) |

Definition at line 325 of file gig.cpp.

## Member Data Documentation

## controller_number

uint gig::leverage_ctrl_t::controller_number

MIDI controller number if this controller is a control change controller, 0 otherwise.

Definition at line 273 of file gig.h.

## type

type_t gig::leverage_ctrl_t::type

Controller type.

Definition at line 272 of file gig.h.

The documentation for this struct was generated from the following files:

- gig.h
- gig.cpp